FreeForAll is a strategy where only one round is played, in which every player plays against every other player in the tournament.

The winner will be the player that has won the most games.

### Hierarchy

- default

### Implements

- default

## Index

### Constructors

- constructor

### Properties

- matches
- playerStats

### Methods

- getPlayerScore
- getRanking
- getRemainingMatches
- isFinished
- playersAlreadyMatched
- rankExplanation
- updateRealtimeStats
- updateStats

## Constructors

### constructor

- new default(players: string[], options: MatchOptions): default

- - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:26

  #### Parameters

  - ##### players: string[]

  - ##### options: MatchOptions

  #### Returns default

## Properties

### Private matches

matches: Match[]

- Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:23

### Private playerStats

playerStats: {}

- Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:24

#### Type declaration

- ##### [key: string]: PlayerStats

## Methods

### Private getPlayerScore

- getPlayerScore(player: string): number

- - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:85

  #### Parameters

  - ##### player: string

  #### Returns number

### getRanking

- getRanking(): PlayerRank[]

- Implementation of default.getRanking

  - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:77

  #### Returns PlayerRank[]

### getRemainingMatches

- getRemainingMatches(): Match[]

- Implementation of default.getRemainingMatches

  - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:73

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- Implementation of default.isFinished

  - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:56

  #### Returns boolean

### Private playersAlreadyMatched

- playersAlreadyMatched(playerA: string, playerB: string): Match

- - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:97

  #### Parameters

  - ##### playerA: string

  - ##### playerB: string

  #### Returns Match

### Private rankExplanation

- rankExplanation(player: string): string

- - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:92

  #### Parameters

  - ##### player: string

  #### Returns string

### updateRealtimeStats

- updateRealtimeStats(match: Match): void

- Implementation of default.updateRealtimeStats

  - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:60

  #### Parameters

  - ##### match: Match

  #### Returns void

### updateStats

- updateStats(allMatches: Match[]): void

- Implementation of default.updateStats

  - Defined in lobby/tournament/matchmaker/FreeForAllMatchmaker.ts:69

  #### Parameters

  - ##### allMatches: Match[]

  #### Returns void

Generated using TypeDoc